<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jumeirah.common.mapper.VersionControlMapper">
    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">

                id, version_name, device_type, download_url, force, create_time, update_time

    </sql>

    <select id="getVersionControlById" resultType="com.jumeirah.common.param.VersionControlQueryVo">
        select
        <include refid="Base_Column_List"/>
        from version_control where id = #{id}
    </select>

    <select id="getVersionControlPageList" parameterType="com.jumeirah.common.param.VersionControlPageParam"
            resultType="com.jumeirah.common.param.VersionControlQueryVo">
        select
        <include refid="Base_Column_List"/>
        from version_control
    </select>
</mapper>
